Bug 470105 - Certificate verified for "email recipient certificate" unclear
Certificate verified for "email recipient certificate" unclear
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xulrunner (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 14:40 EST by Suzanne Hillman
Modified: 2011-10-20 08:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-20 08:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2008-11-05 14:40:51 EST
Description of problem:
Certificate verified for "email recipient certificate" unclear. What does this mean? Is it for encrypting? The other one is for signing, so I'm guessing so, but... huh?

Version-Release number of selected component (if applicable):
1.0.0-37.el5

How reproducible:
Always

Steps to Reproduce:
1. View certs on a formatted and enrolled card.
2. Click "Your Certificates", and click the first one (may not always be first?)
3. Click 'View'
  
Actual results:
Says that it's verified for Email Recipient Certificate. 

Expected results:
Should be more clear about what it's used for and thus verified for.

Additional info:
Probably a regression, but not sure.
Comment 1 Jack Magne 2008-11-05 16:36:22 EST
Since we are re-using the functionality from the xulrunner engine for much of this feature, the message you are seeing is being provided by xulrunner, not esc specifically.
Comment 3 Chandrasekar Kannan 2009-08-05 16:11:38 EDT
per smart card login team bug council, changing component to xulrunner and targeting rhel 5.5
Comment 4 Kai Engert (:kaie) 2009-08-06 23:49:17 EDT
A screenshot would be helpful, as I currently don't have a working enrolled smartcard.

Jack, is this user interface "exactly" as provided by xulrunner (psm), or does ESC use a modified version of the user interface?

We usually don't change any user interface strings of firefox/xulrunner in our own copy of firefox software, because of the localization issues. It's too difficult to have our own modified UI. Should this be a string provided by core xulrunner, the right place to report the issue and to work on improvements would be bugzilla.mozilla.org, core security UI. The bug report should include a proposal for better wording.

But I don't see the text
  Certificate verified for "email recipient certificate"

When I use Firefox and click on my own personal cert I get:

  This certificate has been verified for the following uses:
  - Email signer certificate
  - Email recipient certificate

which seems very clear to me.
Comment 5 Kai Engert (:kaie) 2009-08-06 23:49:58 EDT
Should this indeed require a change in core xulrunner, then the target rhel 5.5 is not realistic.
Comment 6 Kai Engert (:kaie) 2009-08-06 23:51:48 EDT
Jack, please see my comments above. (I saw you had commented earlier and assumed you are on cc list, but just noticed you arent.)
Comment 10 Martin Stransky 2011-10-20 08:31:42 EDT
Hm, the bug seems to be dead now. Please reopen if you have requested info.

Note You need to log in before you can comment on or make changes to this bug.